diff --git a/tests/test_grandlyon_streetsections.py b/tests/test_grandlyon_streetsections.py
index 57d02105..ad04c443 100644
--- a/tests/test_grandlyon_streetsections.py
+++ b/tests/test_grandlyon_streetsections.py
@@ -1,14 +1,13 @@
+import pytest
 from django.contrib.contenttypes.models import ContentType
-
 from httmock import HTTMock
-import pytest
 
-from passerelle.base.models import ApiUser, AccessRight
+from passerelle.base.models import AccessRight, ApiUser
 from passerelle.contrib.grandlyon_streetsections.models import (
     GrandLyonStreetSections,
     StreetSection,
     normalize_street,
 )
 
 
 @pytest.fixture()
diff --git a/tests/test_greco.py b/tests/test_greco.py
index fa2ee9ed..0144e88e 100644
--- a/tests/test_greco.py
+++ b/tests/test_greco.py
@@ -8,29 +8,29 @@
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from base64 import b64encode
 import copy
 import os
-import pytest
-import mock
-import utils
 import xml.etree.ElementTree as ET
+from base64 import b64encode
 
+import mock
+import pytest
+import utils
 from django.contrib.contenttypes.models import ContentType
 from django.urls import reverse
 from django.utils.encoding import force_str
 
-from passerelle.base.models import ApiUser, AccessRight
+from passerelle.base.models import AccessRight, ApiUser
 from passerelle.contrib.greco.models import Greco
 
 pytestmark = pytest.mark.django_db
 
 
 TEST_BASE_DIR = os.path.join(os.path.dirname(__file__), 'data', 'greco')
 WSDL_FILENAME = os.path.join(TEST_BASE_DIR, 'greco.wsdl')
 
diff --git a/tests/test_import_export.py b/tests/test_import_export.py
index f740b26a..e6bf6077 100644
--- a/tests/test_import_export.py
+++ b/tests/test_import_export.py
@@ -1,29 +1,29 @@
 # -*- coding: utf-8 -*-
-import sys
 import json
 import os
-import pytest
+import sys
 import tempfile
 
+import pytest
+from django.contrib.contenttypes.models import ContentType
 from django.core.files import File
-from django.urls import reverse
 from django.core.management import call_command
-from django.contrib.contenttypes.models import ContentType
 from django.test import Client
+from django.urls import reverse
 from django.utils import timezone
 from django.utils.encoding import force_bytes, force_text
 from django.utils.six import BytesIO, StringIO
 
 from passerelle.apps.base_adresse.models import BaseAdresse
 from passerelle.apps.ovh.models import OVHSMSGateway
-from passerelle.base.models import ApiUser, AccessRight
+from passerelle.base.models import AccessRight, ApiUser
 from passerelle.compat import json_loads
-from passerelle.utils import import_site, export_site
+from passerelle.utils import export_site, import_site
 
 data = """121;69981;DELANOUE;Eliot;H
 525;6;DANIEL WILLIAMS;Shanone;F
 253;67742;MARTIN;Sandra;F
 511;38142;MARCHETTI;Lucie;F
 235;22;MARTIN;Sandra;F
 620;52156;ARNAUD;Mathis;H
 902;36;BRIGAND;Coline;F
@@ -39,18 +39,18 @@ data = """121;69981;DELANOUE;Eliot;H
 4809;75;COROLLER;Maelys;F
 5427;117;KANTE;Aliou;H
 116642;118;ZAHMOUM;Yaniss;H
 216352;38;Dupont;Benoît;H
 """
 
 data_bom = force_text(data, 'utf-8').encode('utf-8-sig')
 
-from passerelle.apps.csvdatasource.models import CsvDataSource, Query
 from passerelle.apps.bdp.models import Bdp
+from passerelle.apps.csvdatasource.models import CsvDataSource, Query
 
 pytestmark = pytest.mark.django_db
 
 TEST_BASE_DIR = os.path.join(os.path.dirname(__file__), 'data', 'csvdatasource')
 
 
 def get_file_content(filename):
     return open(os.path.join(TEST_BASE_DIR, filename), 'rb').read()
diff --git a/tests/test_iparapheur.py b/tests/test_iparapheur.py
index 29f4a036..eea87172 100644
--- a/tests/test_iparapheur.py
+++ b/tests/test_iparapheur.py
@@ -1,26 +1,26 @@
 # -*- coding: utf-8 -*-
 
-import pytest
-import mock
-import uuid
-import os
 import base64
+import os
+import uuid
 import xml.etree.ElementTree as ET
-from dateutil import parser
-from requests import Response
 
-from requests.exceptions import ConnectionError
-from django.urls import reverse
+import mock
+import pytest
+from dateutil import parser
 from django.contrib.contenttypes.models import ContentType
+from django.urls import reverse
 from django.utils import timezone
 from django.utils.encoding import force_bytes
+from requests import Response
+from requests.exceptions import ConnectionError
 
-from passerelle.base.models import ApiUser, AccessRight
+from passerelle.base.models import AccessRight, ApiUser
 from passerelle.contrib.iparapheur.models import IParapheur
 
 pytestmark = pytest.mark.django_db
 
 BASE_URL = 'https://secure-iparapheur.demonstrations.adullact.org:443/ws-iparapheur'
 WSDL_URL = '%s?wsdl' % BASE_URL
 API_KEY = 'iparapheur'
 SOAP_NAMESPACES = {
diff --git a/tests/test_iws.py b/tests/test_iws.py
index 45ede849..c1bdeff1 100644
--- a/tests/test_iws.py
+++ b/tests/test_iws.py
@@ -1,13 +1,13 @@
+import pytest
 from django.contrib.contenttypes.models import ContentType
 from mock import Mock
-import pytest
 
-from passerelle.base.models import ApiUser, AccessRight
+from passerelle.base.models import AccessRight, ApiUser
 from passerelle.contrib.iws.models import IWSConnector
 
 
 @pytest.fixture()
 def setup(db):
     api = ApiUser.objects.create(username='all', keytype='', key='')
     conn = IWSConnector.objects.create(
         wsdl_url='http://example.com/iws?wsdl',
diff --git a/tests/test_jobs.py b/tests/test_jobs.py
index b0966aec..b28eaeb6 100644
--- a/tests/test_jobs.py
+++ b/tests/test_jobs.py
@@ -1,26 +1,21 @@
 # -*- coding: utf-8 -*-
 
 import datetime
 import os
 
-from django.core.management import call_command
-
+import isodate
 import mock
 import pytest
-
 import utils
+from django.core.management import call_command
+from test_base_adresse import StreetModel, base_adresse
 
-import isodate
-
-
-from passerelle.base.models import Job, SkipJob, ResourceLog
-
-from test_base_adresse import base_adresse, StreetModel
+from passerelle.base.models import Job, ResourceLog, SkipJob
 
 
 @mock.patch('passerelle.utils.Request.get')
 def test_jobs(mocked_get, app, base_adresse, freezer):
     Job.objects.all().delete()  # remove jobs automatically added at connector creation
     filepath = os.path.join(os.path.dirname(__file__), 'data', 'update_streets_test.gz')
     with open(filepath, 'rb') as ban_file:
         mocked_get.return_value = utils.FakedResponse(content=ban_file.read(), status_code=200)
diff --git a/tests/test_jsondatastore.py b/tests/test_jsondatastore.py
index 2b82f4bf..a8d541ce 100644
--- a/tests/test_jsondatastore.py
+++ b/tests/test_jsondatastore.py
@@ -1,17 +1,16 @@
 # -*- coding: utf-8 -*-
 
 import pytest
-
 from django.contrib.contenttypes.models import ContentType
 from django.core.serializers.json import DjangoJSONEncoder
 
-from passerelle.apps.jsondatastore.models import JsonDataStore, JsonData
-from passerelle.base.models import ApiUser, AccessRight
+from passerelle.apps.jsondatastore.models import JsonData, JsonDataStore
+from passerelle.base.models import AccessRight, ApiUser
 
 
 @pytest.fixture
 def jsondatastore(db):
     datastore = JsonDataStore.objects.create(slug='foobar')
     api = ApiUser.objects.create(username='all', keytype='', key='')
     obj_type = ContentType.objects.get_for_model(datastore)
     AccessRight.objects.create(
diff --git a/tests/test_maelis.py b/tests/test_maelis.py
index e1f9d4e5..89b14ea1 100644
--- a/tests/test_maelis.py
+++ b/tests/test_maelis.py
@@ -1,30 +1,28 @@
 # -*- coding: utf-8 -*-
 
 import json
-import mock
 import os
-import pytest
 
+import mock
+import pytest
+import utils
 from django.test import override_settings
 from django.utils.dateparse import parse_date
 
-from passerelle.apps.maelis.models import Maelis, Link
+from passerelle.apps.maelis.models import Link, Maelis
 from passerelle.apps.maelis.utils import (
+    decompose_event,
     get_school_year,
-    week_boundaries_datetimes,
     month_range,
-    decompose_event,
+    week_boundaries_datetimes,
 )
-
 from passerelle.utils.jsonresponse import APIError
 
-import utils
-
 pytestmark = pytest.mark.django_db
 
 TEST_BASE_DIR = os.path.join(os.path.dirname(__file__), 'data', 'maelis')
 
 
 def get_xml_file(filename):
     with open(os.path.join(TEST_BASE_DIR, filename), 'rb') as desc:
         return desc.read()
diff --git a/tests/test_manager.py b/tests/test_manager.py
index fababf97..3f0c7bc4 100644
--- a/tests/test_manager.py
+++ b/tests/test_manager.py
@@ -1,25 +1,23 @@
 import datetime
 import re
 import uuid
 
-from webtest import Upload
-
+import freezegun
+import pytest
 from django.contrib.contenttypes.models import ContentType
 from django.core.files import File
 from django.utils.six import StringIO
 from django.utils.timezone import now
+from webtest import Upload
 
-import freezegun
-import pytest
-
-from passerelle.base.models import ApiUser, AccessRight, ResourceStatus, Job, ResourceLog
 from passerelle.apps.csvdatasource.models import CsvDataSource, Query
 from passerelle.apps.photon.models import Photon
+from passerelle.base.models import AccessRight, ApiUser, Job, ResourceLog, ResourceStatus
 
 pytestmark = pytest.mark.django_db
 
 
 def login(app, username='admin', password='admin'):
     login_page = app.get('/login/')
     login_form = login_page.forms[0]
     login_form['username'] = username
diff --git a/tests/test_mdel.py b/tests/test_mdel.py
index d5ae5a6f..00a36712 100644
--- a/tests/test_mdel.py
+++ b/tests/test_mdel.py
@@ -11,35 +11,33 @@
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a.deepcopy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 from __future__ import unicode_literals
 
-import shutil
-import os
 import base64
 import copy
+import os
+import shutil
 import zipfile
-
 from xml.etree import ElementTree as etree
-from lxml import etree as letree
 
 import pytest
+import utils
+from lxml import etree as letree
 
+from passerelle.apps.mdel.mdel import AttachedFile, Description, Message, get_resource_base_dir
 from passerelle.apps.mdel.models import MDEL, Demand
-from passerelle.apps.mdel.mdel import Message, Description, AttachedFile, get_resource_base_dir
 from passerelle.apps.mdel.utils import parse_date
 from passerelle.compat import json_loads
 from passerelle.utils import SFTP
 
-import utils
-
 AEC_XSD = 'ActeEtatCivil-V1.A.xsd'
 ILE_XSD = 'ILE_v1.1.xsd'
 
 
 def get_mdel_base_dir():
     return os.path.join(os.path.dirname(__file__), 'data', 'mdel')
 
 
diff --git a/tests/test_mdel_ddpacs.py b/tests/test_mdel_ddpacs.py
index 47c9f171..9d391009 100644
--- a/tests/test_mdel_ddpacs.py
+++ b/tests/test_mdel_ddpacs.py
@@ -18,23 +18,21 @@
 from __future__ import unicode_literals
 
 import io
 import logging
 import os
 
 import pytest
 import utils
-
 import xmlschema
 
-from passerelle.apps.mdel_ddpacs.models import Resource, Demand
-
+from passerelle.apps.mdel_ddpacs.models import Demand, Resource
 from passerelle.utils import json, sftp
-from passerelle.utils.zip import diff_zip, ZipTemplate
+from passerelle.utils.zip import ZipTemplate, diff_zip
 
 
 def build_response_zip(**kwargs):
     zip_template = ZipTemplate(os.path.abspath('tests/data/mdel_ddpacs/response_manifest.json'), ctx=kwargs)
     return zip_template.name, zip_template.render_to_bytes()
 
 
 @pytest.fixture(autouse=True)
diff --git a/tests/test_mdph13.py b/tests/test_mdph13.py
index 5f9ee76f..ad467cd7 100644
--- a/tests/test_mdph13.py
+++ b/tests/test_mdph13.py
@@ -10,31 +10,29 @@
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-import json
 import base64
 import datetime
+import json
 import logging
 
-import requests
-import requests.exceptions
-
 import httmock
 import pytest
-
+import requests
+import requests.exceptions
 import utils
 
+from passerelle.contrib.mdph13.models import Link, MDPH13Resource
 from passerelle.utils.jsonresponse import APIError
-from passerelle.contrib.mdph13.models import MDPH13Resource, Link
 
 NAME_ID = 'xyz'
 FILE_NUMBER = '1234'
 DOB = datetime.date(1993, 5, 4)
 DOB_ISOFORMAT = '1993-05-04'
 EMAIL = 'john.doe@example.com'
 SECRET = 'secret'
 IP = '88.34.56.56'
diff --git a/tests/test_nancypoll.py b/tests/test_nancypoll.py
index 566900e0..f70afb35 100644
--- a/tests/test_nancypoll.py
+++ b/tests/test_nancypoll.py
@@ -1,18 +1,16 @@
 import pytest
-
-from django.core.files import File
-from django.urls import reverse
 from django.contrib.contenttypes.models import ContentType
+from django.core.files import File
 from django.test import Client
+from django.urls import reverse
 from django.utils.six import StringIO
 
-from passerelle.base.models import ApiUser, AccessRight
-
+from passerelle.base.models import AccessRight, ApiUser
 from passerelle.compat import json_loads
 from passerelle.contrib.nancypoll.models import NancyPoll
 
 data = """
 0,999,,,S,A,Z,,34,28,ECOLE MATERNELLE DIDION,16 RUE SAINT THIEBAUT,,JOFFRE,BOULEVARD JOFFRE,4,NANCY 1,0,1083,1
 0,121,,,I,A,Z,,46,3,GYMNASE MARTINY,10 RUE VICTOR,,LOBAU,BOULEVARD LOBAU,2,NANCY  3,0,1083,1
 0,999,,,I,A,Z,,28,37,ECOLE MATERNELLE CHARLEMAGNE,RUE DU CHANOINE BLAISE,,BLANC,RUE DU CHEMIN BLANC,4,NANCY 1,0,1083,1
 0,999,,,P,A,Z,,22,39,ECOLE MATERNELLE DE BUTHEGNEMONT,45 RUE ANNE FERIET,,BLANC,RUE DU CHEMIN BLANC,4,NANCY 1,0,1083,1
diff --git a/tests/test_okina.py b/tests/test_okina.py
index df449ca6..260fe14c 100644
--- a/tests/test_okina.py
+++ b/tests/test_okina.py
@@ -1,19 +1,18 @@
 # -*- coding: utf-8 -*-
 import json
-import pytest
+
 import mock
+import pytest
 import utils
-
 from django.contrib.contenttypes.models import ContentType
 
 from passerelle.apps.okina.models import Okina
-from passerelle.base.models import ApiUser, AccessRight
-
+from passerelle.base.models import AccessRight, ApiUser
 
 CITIES = '''[ {
   "city" : 83355,
   "cityObject" : {
     "id" : 83355,
     "insee" : "36005",
     "nameCity" : "ARDENTES",
     "zipCode" : "36120",
diff --git a/tests/test_opengis.py b/tests/test_opengis.py
index d4e4ad57..2626121b 100644
--- a/tests/test_opengis.py
+++ b/tests/test_opengis.py
@@ -1,23 +1,21 @@
 import json
+
 import mock
 import pytest
-
+import utils
 from django.contrib.auth.models import User
 from django.core.management import call_command
+from test_manager import login
 
-from passerelle.apps.opengis.models import OpenGIS, Query, FeatureCache
+from passerelle.apps.opengis.models import FeatureCache, OpenGIS, Query
 from passerelle.base.models import Job
 from passerelle.utils import import_site
 
-from test_manager import login
-
-import utils
-
 pytestmark = pytest.mark.django_db
 
 FAKE_FEATURE_INFO = '''<?xml version="1.0" encoding="UTF-8"?>
 <msGMLOutput
       xmlns:gml="http://www.opengis.net/gml"
       xmlns:xlink="http://www.w3.org/1999/xlink"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
   <cad_cadastre.cadparcelle_layer>
diff --git a/tests/test_orange.py b/tests/test_orange.py
index 89fbb60f..7dabd9c1 100644
--- a/tests/test_orange.py
+++ b/tests/test_orange.py
@@ -14,26 +14,23 @@
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import json
 
 import httmock
 import pytest
-
 from django.contrib.contenttypes.models import ContentType
 from django.utils.encoding import force_text
 
-from passerelle.apps.orange.models import OrangeSMSGateway, OrangeError
-
-from passerelle.base.models import ApiUser, AccessRight, Job
+from passerelle.apps.orange.models import OrangeError, OrangeSMSGateway
+from passerelle.base.models import AccessRight, ApiUser, Job
 from passerelle.utils.jsonresponse import APIError
 
-
 NETLOC = 'contact-everyone.orange-business.com'
 JSON_HEADERS = {'content-type': 'application/json'}
 PAYLOAD = {
     'message': 'hello',
     'from': '+33699999999',
     'to': ['+33688888888', '+33677777777'],
 }
 
diff --git a/tests/test_phonecalls.py b/tests/test_phonecalls.py
index 9517bd77..7408624f 100644
--- a/tests/test_phonecalls.py
+++ b/tests/test_phonecalls.py
@@ -1,17 +1,17 @@
-import pytest
-import utils
 import re
 
+import pytest
+import utils
 from django.contrib.contenttypes.models import ContentType
 from django.utils.timezone import now, timedelta
 
-from passerelle.apps.phonecalls.models import PhoneCalls, Call
-from passerelle.base.models import ApiUser, AccessRight
+from passerelle.apps.phonecalls.models import Call, PhoneCalls
+from passerelle.base.models import AccessRight, ApiUser
 
 
 @pytest.fixture
 def phonecalls(db):
     phonecalls = PhoneCalls.objects.create(slug='test')
     apikey = ApiUser.objects.create(username='all', keytype='API', key='123')
     obj_type = ContentType.objects.get_for_model(phonecalls)
     AccessRight.objects.create(
diff --git a/tests/test_photon.py b/tests/test_photon.py
index ecbe7878..79b7aff8 100644
--- a/tests/test_photon.py
+++ b/tests/test_photon.py
@@ -10,28 +10,26 @@
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import datetime
-from httmock import urlmatch, HTTMock, response, remember_called
 import json
+
 import mock
 import pytest
 import utils
-
-from requests.exceptions import HTTPError
-
 from django.core.management import call_command
+from httmock import HTTMock, remember_called, response, urlmatch
+from requests.exceptions import HTTPError
 
-from passerelle.apps.photon.models import Photon, AddressCacheModel
-
+from passerelle.apps.photon.models import AddressCacheModel, Photon
 
 CONTENT = {
     "features": [
         {
             "geometry": {"coordinates": [4.8522272, 45.7587414], "type": "Point"},
             "properties": {
                 "city": "Lyon 3ème Arrondissement",
                 "country": "France",
diff --git a/tests/test_planitech.py b/tests/test_planitech.py
index 7ff1df7f..9f95afe6 100644
--- a/tests/test_planitech.py
+++ b/tests/test_planitech.py
@@ -1,21 +1,21 @@
 import collections
 from datetime import datetime
 
-from django.contrib.contenttypes.models import ContentType
-from django.core.cache import cache
-from httmock import urlmatch, HTTMock
 import mock
 import pytest
 import requests
+from django.contrib.contenttypes.models import ContentType
+from django.core.cache import cache
+from httmock import HTTMock, urlmatch
 
-from passerelle.base.models import ApiUser, AccessRight
+from passerelle.base.models import AccessRight, ApiUser
 from passerelle.contrib.planitech import mste
-from passerelle.contrib.planitech.models import PlanitechConnector, Pairing, get_extensions
+from passerelle.contrib.planitech.models import Pairing, PlanitechConnector, get_extensions
 from passerelle.utils.jsonresponse import APIError
 
 
 def assert_mste(data, ref_data):
     """skip CRC verification"""
     assert len(data) == len(ref_data)
     for i in range(len(data)):
         if i != 2:
diff --git a/tests/test_requests.py b/tests/test_requests.py
index e2a96770..d3581def 100644
--- a/tests/test_requests.py
+++ b/tests/test_requests.py
@@ -1,23 +1,21 @@
 import logging
 
-import pytest
-import mohawk
 import mock
+import mohawk
+import pytest
 import requests
-
-from httmock import urlmatch, HTTMock, response
-
+import utils
 from django.test import override_settings
+from httmock import HTTMock, response, urlmatch
+from utils import FakedResponse
 
-from passerelle.utils import Request, CaseInsensitiveDict, log_http_request
+from passerelle.utils import CaseInsensitiveDict, Request, log_http_request
 from passerelle.utils.http_authenticators import HawkAuth
-import utils
-from utils import FakedResponse
 
 
 class MockFileField(object):
     def __init__(self, path):
         self.path = path
 
 
 class MockResource(object):
diff --git a/tests/test_sms.py b/tests/test_sms.py
index 36879b87..c0ed21d4 100644
--- a/tests/test_sms.py
+++ b/tests/test_sms.py
@@ -8,38 +8,36 @@
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
-import isodate
 import json
 import logging
+
+import isodate
 import mock
 import pytest
-from requests import RequestException
-
+import utils
 from django.conf import settings
 from django.contrib.contenttypes.models import ContentType
 from django.urls import reverse
 from django.utils.translation import ugettext as _
+from requests import RequestException
+from test_manager import login
 
 from passerelle.apps.choosit.models import ChoositSMSGateway
 from passerelle.apps.ovh.models import OVHSMSGateway
-from passerelle.base.models import ApiUser, AccessRight, Job, ResourceLog
-from passerelle.sms.models import SMSResource, SMSLog
+from passerelle.base.models import AccessRight, ApiUser, Job, ResourceLog
+from passerelle.sms.models import SMSLog, SMSResource
 from passerelle.utils.jsonresponse import APIError
 
-from test_manager import login
-
-import utils
-
 pytestmark = pytest.mark.django_db
 
 klasses = SMSResource.__subclasses__()
 
 
 def test_clean_numbers():
     connector = OVHSMSGateway()
     assert connector.clean_numbers(['+ 33 12']) == ['003312']
diff --git a/tests/test_soap.py b/tests/test_soap.py
index e493329a..5e81c628 100644
--- a/tests/test_soap.py
+++ b/tests/test_soap.py
@@ -8,27 +8,26 @@
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from django.utils.encoding import force_bytes
-import pytest
 import mock
+import pytest
 import requests
+from django.utils.encoding import force_bytes
 from zeep import Settings
+from zeep.exceptions import TransportError, XMLParseError
 from zeep.plugins import Plugin
-from zeep.exceptions import XMLParseError, TransportError
 
 from passerelle.utils.soap import SOAPClient
 
-
 WSDL = 'tests/data/soap.wsdl'
 
 
 class FooPlugin(Plugin):
     pass
 
 
 class BarPlugin(Plugin):
diff --git a/tests/test_solis_apa.py b/tests/test_solis_apa.py
index fed1a565..c41cf4df 100644
--- a/tests/test_solis_apa.py
+++ b/tests/test_solis_apa.py
@@ -1,23 +1,21 @@
 import copy
-import os
 import json
+import os
 from decimal import Decimal
 
 import mock
 import pytest
-
-from django.urls import reverse
 from django.contrib.contenttypes.models import ContentType
+from django.urls import reverse
 
-from passerelle.base.models import ApiUser, AccessRight
-from passerelle.contrib.solis_apa.models import SolisAPA
+from passerelle.base.models import AccessRight, ApiUser
 from passerelle.contrib.solis_apa import integration
-
+from passerelle.contrib.solis_apa.models import SolisAPA
 
 TEST_BASE_DIR = os.path.join(os.path.dirname(__file__), 'data', 'solis_apa')
 
 
 def json_get_data(filename):
     with open(os.path.join(TEST_BASE_DIR, filename)) as fd:
         return json.load(fd)
 
diff --git a/tests/test_strasbourg_eu.py b/tests/test_strasbourg_eu.py
index 8eba3528..e710d498 100644
--- a/tests/test_strasbourg_eu.py
+++ b/tests/test_strasbourg_eu.py
@@ -1,19 +1,17 @@
 # -*- coding: utf-8 -*-
 
-from httmock import all_requests, HTTMock
 import pytest
-
+import utils
 from django.contrib.contenttypes.models import ContentType
+from httmock import HTTMock, all_requests
 
+from passerelle.base.models import AccessRight, ApiUser
 from passerelle.contrib.strasbourg_eu.models import StrasbourgEu
-from passerelle.base.models import ApiUser, AccessRight
-
-import utils
 
 INTERESTS_EXAMPLE = u"""{
     "interests": [
         {
             "id": "275305",
             "name": "Centre d'intérêt 2",
             "description": "Centre d'intérêt 2",
             "typeId": "275302",
diff --git a/tests/test_tcl.py b/tests/test_tcl.py
index 1bda8041..a06c65bf 100644
--- a/tests/test_tcl.py
+++ b/tests/test_tcl.py
@@ -1,17 +1,16 @@
 import copy
 
-from django.utils.six.moves.urllib import parse as urlparse
 import mock
 import pytest
-
-from passerelle.contrib.tcl.models import Tcl, Line, Stop
-
 import utils
+from django.utils.six.moves.urllib import parse as urlparse
+
+from passerelle.contrib.tcl.models import Line, Stop, Tcl
 
 LIGNE_BUS = {
     "values": [
         {
             "indice": "",
             "last_update_fme": "2017-06-27 06:01:10",
             "infos": "",
             "couleur": "164 203 38",
diff --git a/tests/test_teamnet_axel.py b/tests/test_teamnet_axel.py
index dccb1900..95ad2a91 100644
--- a/tests/test_teamnet_axel.py
+++ b/tests/test_teamnet_axel.py
@@ -1,16 +1,14 @@
-from requests.exceptions import ConnectionError
 import mock
 import pytest
-
 import utils
+from requests.exceptions import ConnectionError
 
-from passerelle.contrib.teamnet_axel.models import TeamnetAxel
-from passerelle.contrib.teamnet_axel.models import Link
+from passerelle.contrib.teamnet_axel.models import Link, TeamnetAxel
 from passerelle.utils.jsonresponse import APIError
 
 
 @pytest.fixture
 def setup(db):
     return utils.make_resource(
         TeamnetAxel,
         **{
diff --git a/tests/test_toulouse_axel.py b/tests/test_toulouse_axel.py
index 317d3d37..f59b5d52 100644
--- a/tests/test_toulouse_axel.py
+++ b/tests/test_toulouse_axel.py
@@ -12,50 +12,45 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 from __future__ import unicode_literals
 
-from contextlib import contextmanager
 import copy
 import datetime
 import decimal
 import json
-import mock
 import os
 import xml.etree.ElementTree as ET
-
-from django.core.cache import cache
+from contextlib import contextmanager
 
 import freezegun
+import jsonschema
+import mock
 import pytest
+import utils
 import xmlschema
-import jsonschema
+from django.core.cache import cache
 
-from passerelle.contrib.toulouse_axel.exceptions import AxelError
-from passerelle.contrib.toulouse_axel.models import (
-    Link,
-    Lock,
-    ToulouseAxel,
-)
 from passerelle.contrib.toulouse_axel import schemas
+from passerelle.contrib.toulouse_axel.exceptions import AxelError
+from passerelle.contrib.toulouse_axel.models import Link, Lock, ToulouseAxel
 from passerelle.contrib.toulouse_axel.utils import (
-    situation_familiale_mapping,
     csp_mapping,
     lien_parente_mapping,
-    type_regime_mapping,
     regime_mapping,
+    situation_familiale_mapping,
+    type_regime_mapping,
     upperize,
 )
 from passerelle.utils.jsonresponse import APIError
 from passerelle.utils.soap import SOAPError
-import utils
 
 
 @pytest.fixture
 def resource(db):
     return utils.make_resource(
         ToulouseAxel, slug='test', wsdl_url='http://example.net/AXEL_WS/AxelWS.php?wsdl'
     )
 
diff --git a/tests/test_utils_json.py b/tests/test_utils_json.py
index 24a2d547..b408d4d3 100644
--- a/tests/test_utils_json.py
+++ b/tests/test_utils_json.py
@@ -24,21 +24,21 @@
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-import pytest
-
 import jsonschema
+import pytest
 
-from passerelle.utils.json import flatten, unflatten, flatten_json_schema, FLATTEN_SEPARATOR as SEP
+from passerelle.utils.json import FLATTEN_SEPARATOR as SEP
+from passerelle.utils.json import flatten, flatten_json_schema, unflatten
 
 
 def test_unflatten_base():
     assert unflatten('') == ''
     assert unflatten('a') == 'a'
     assert unflatten([]) == []
     assert unflatten([1]) == [1]
     assert unflatten({}) == {}
diff --git a/tests/test_utils_sftp.py b/tests/test_utils_sftp.py
index 7c80f8b8..2e860b4f 100644
--- a/tests/test_utils_sftp.py
+++ b/tests/test_utils_sftp.py
@@ -12,22 +12,21 @@
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import os
 
 import pytest
-
 from django.core.files.uploadedfile import SimpleUploadedFile
 from django.db import models
 from django.utils.encoding import force_text
 
-from passerelle.utils.sftp import SFTP, SFTPFormField, SFTPField
+from passerelle.utils.sftp import SFTP, SFTPField, SFTPFormField
 
 
 @pytest.fixture
 def ssh_key():
     with open(os.path.join(os.path.dirname(__file__), 'ssh_key'), 'rb') as fd:
         yield fd.read()
 
 
diff --git a/tests/test_utils_xml.py b/tests/test_utils_xml.py
index cdca4f01..87c18563 100644
--- a/tests/test_utils_xml.py
+++ b/tests/test_utils_xml.py
@@ -11,22 +11,21 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import xml.etree.ElementTree as ET
 
-import xmlschema
-
 import jsonschema
+import xmlschema
 
-from passerelle.utils.xml import to_json, text_content, JSONSchemaFromXMLSchema
-from passerelle.utils.json import flatten_json_schema, flatten, unflatten
+from passerelle.utils.json import flatten, flatten_json_schema, unflatten
+from passerelle.utils.xml import JSONSchemaFromXMLSchema, text_content, to_json
 
 
 def test_text_content():
     root = ET.fromstring('<root>aa<b>bb</b>cc</root>')
     assert text_content(root) == 'aabbcc'
 
 
 def test_to_json():
diff --git a/tests/utils.py b/tests/utils.py
index 1c0f5a80..dc0be7be 100644
--- a/tests/utils.py
+++ b/tests/utils.py
@@ -1,18 +1,17 @@
 import json
 
-import mock
 import httmock
-
+import mock
 from django.contrib.contenttypes.models import ContentType
 from django.urls import reverse
 from django.utils.six.moves.urllib import parse as urlparse
 
-from passerelle.base.models import ApiUser, AccessRight
+from passerelle.base.models import AccessRight, ApiUser
 from passerelle.compat import json_loads
 
 
 def generic_endpoint_url(connector, endpoint, slug='test'):
     return reverse('generic-endpoint', kwargs={'connector': connector, 'slug': slug, 'endpoint': endpoint})
 
 
 def setup_access_rights(obj):
